## gnome-pie 0.7.2

=== debian/changelog ===
gnome-pie (0.7.2-2) unstable; urgency=medium

  * New debian/patches/0110-Fix-Build-error.patch (Closes: 948129):
    - Fix build error.
  * Migrate to debhelper-compat 13:
    - Remove debian/compat.
    - debian/control:
      + Bump minimum debhelper-compat version to = 13.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Change homepage to the new one.
  * debian/copyright:
    - Add year 2020 to myself.
  * Remove unused patches.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 31 May 2020 11:28:29 +0200

gnome-pie (0.7.2-1) unstable; urgency=medium

  * New upstream release:
    - Refresh debian/patches/0105-spelling_errors.patch.
    - Remove upstream applied debian/patches/0100-fix-ftbfs_vala_0_42.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 21 Dec 2018 13:23:35 +0100

gnome-pie (0.7.1-2) unstable; urgency=high

  * New debian/patches/0100-fix-ftbfs_vala_0_42.patch to fix FTBFS
    with vala 0.42 (Closes: #907943).
  * Switch to Ayatana AppIndicator (Closes: #907551):
    - New debian/patches/0700-ayatana-appindicator.patch.
    - debian/control:
      + Switch build depends from libappindicator3-dev to
        libayatana-appindicator3-dev.
    Thanks to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.
  * Change to my new email address.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - debian/control:
      + Bump minimum debhelper version to >= 11.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * New debian/patches/0105-spelling_errors.patch to fix spelling errors.
  * debian/control:
    - Change Vcs-* to point to the new repository.
    - Remove trailing whitespace.
  * debian/copyright:
    - Use secure URI for copyright format.
    - Refresh years for debian/*.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 07 Sep 2018 08:52:14 +0200

=== debian/control ===
Source: gnome-pie
Section: gnome
Priority: optional
Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libayatana-appindicator3-dev,
 libarchive-dev,
 libcairo2-dev,
 libgee-0.8-dev (>= 0.10),
 libgnome-menu-3-dev,
 libgtk-3-dev,
 libicu-dev,
 libwnck-3-dev,
 libxml2-dev,
 libxtst-dev,
 valac (>= 0.24)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://schneegans.github.io/gnome-pie.html
Vcs-Git: git://jff.email/opt/git/gnome-pie.git
Vcs-Browser: https://jff.email/cgit/gnome-pie.git

Package: gnome-pie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: visual application launcher for GNOME
 gnome-pie is a radial visual application launcher for GNOME. It allows the
 user to bind groups of frequently used applications to a ring that appears
 when a hot key / mouse binding is triggered.
 .
 It was inspired by the OPie addon written for the game World of Warcraft.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mpv-$1.tar.gz/ \
  https://github.com/Simmesimme/Gnome-Pie/tags .*/v?(\d\S*)\.tar\.gz

## gnome-pie 0.7.3

=== src/CMakeLists.txt ===
################################################################
# Actually compile the executable
################################################################

# determine source and header files
file(GLOB VALA_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.vala */*.vala)

# use valac to compile sources to c files
vala_precompile(
    VALA_C
        ${VALA_SRC}
    PACKAGES
        ${VALA_PKGS}
    OPTIONS
        --thread
        ${VALA_DEFINES}
)

# compile c-sources
add_executable(gnome-pie ${VALA_C})

# install executable
install(
    TARGETS
        gnome-pie
    RUNTIME DESTINATION
        ${CMAKE_INSTALL_PREFIX}/bin
)

# install credits
install(
    FILES
        ${CMAKE_SOURCE_DIR}/README.md
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/doc/gnome-pie
)

# install locales
install(
    DIRECTORY
        ${CMAKE_SOURCE_DIR}/resources/locale
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share
    PATTERN *.po EXCLUDE
    PATTERN *.pot EXCLUDE
    PATTERN *.sh EXCLUDE
)

# install themes
install(
    DIRECTORY
        ${CMAKE_SOURCE_DIR}/resources/themes
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/gnome-pie
)

# install UI files
install(
    DIRECTORY
        ${CMAKE_SOURCE_DIR}/resources/ui
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/gnome-pie
)

# install icons
install(
    FILES
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie.svg
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie-symbolic.svg
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
)

# desktop file
install(
    FILES
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie.desktop
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/applications
)

# install manpage
install(
    FILES
        ${CMAKE_SOURCE_DIR}/resources/gnome-pie.1
    DESTINATION
        ${CMAKE_INSTALL_PREFIX}/share/man/man1
)

=== debian/changelog ===
gnome-pie (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).
  * Remove upstream applied patch 0110-Fix-Build-error.patch.
  * debin/watch:
    - Use version 4.
  * debian/copyright:
    - Rewrite years for upstream and myself.
  * New debian/patches/0900-fix_it_po.patch:
    - Fix build error on po file.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 06 Aug 2021 19:29:22 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libxml2-dev,
  libxtst-dev,
  valac (>= 0.24)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://schneegans.github.io/gnome-pie.html
 Vcs-Git: git://jff.email/opt/git/gnome-pie.git

=== debian/rules ===
#!/usr/bin/make -f

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	$(CURDIR)/resources/locale/compile-po.sh
	dh_auto_build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mpv-$1.tar.gz/ \
  https://github.com/Simmesimme/Gnome-Pie/tags .*/v?(\d\S*)\.tar\.gz
